# Vivanta Connect for Flutter

Plugin to integrate Vivanta Connect in Flutter Projects

## How to implement Vivanta Connect Flow

1. Add the import of Vivanta Connect

```dart
import 'package:vivanta_connect_flutter/views/start_vivanta_connect.dart';
```

2. Create a route to open Vivanta Connect. For example:

```dart
 Navigator.of(context).push(
  MaterialPageRoute(
    builder: (context) => StartVivantaConnect(
      apiKey: apiKey,                   // Required
      customerId: customerId,           // Required
      externalUserId: externalUserId,   // Required
      companyId: companyId,             // Optional
    ),
  ),
);
```

3. Vivanta Connect will start and automatically set the language based on the configuration of the device.

4. Only for Apple Health integrations, you must add this code at the start of your user's session.

```dart
  import 'package:vivanta_connect_flutter/helpers/vivanta_sync.dart';

  final vivantaSyncData = VivantaSync(
    apiKey: apiKey,                   // Required
    customerId: customerId,           // Required
    externalUserId: externalUserId,   // Required
  );
  vivantaSyncData.executeAll();       // This process gets data from HealthKit and uploads to Vivanta
);
```

**Note:** Vivanta Connect requires a valid API Key and the associated Customer ID to fully function.

## How to implement Embedded Graphs

Create a route to open an Embedded Graph

```dart
Navigator.of(context).push(
  MaterialPageRoute(
    builder: (context) => EmbeddedGraph(
      apiKey: apiKey,                    // Required
      customerId: customerId,            // Required
      externalUserId: externalUserId,    // Required
      graphType: graphType,              // Required (Sleep, Active Time, Activity)
      brandId: brandId,                  // Optional, only for users with more than 1 brand connected
    ),
  ),
);
```
